Đến nội dung


Hình ảnh

em có 2 vấn đề về lisp . kính mong các bác lúc rảnh rỗi ghé thăm giúp đỡ em với nhé


  • Please log in to reply
9 replies to this topic

#1 archuyhoang

archuyhoang

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 19 April 2015 - 05:03 PM

em cũng thành thât là em ko biết viết li sp nên các bác giúp đỡ em viết vợi ạ
 

1 . tương tự lệnh layiso . . em cần 1 lisp blockiso ( lấy riêng ra các block và copy của block đó)

vấn đề thứ 2 là 

trong bản vẽ của em có 1 layer A ( layer A có 5 loại màu đang có trên màn hình là màu 1 , màu 2, màu 3, 4 và 5)

 em đã sử dụng lệnh gọi nhanh layer tuy nhiên em muốn khi em gọi layer thì góc phải con chuột hiện thị 6 mục để chọn vẽ

- bylayer
- màu số 1
- màu số 2
- màu số 3
- màu số 4 
- màu số 5

( layer A có bao nhiêu màu đang có trên bản vẽ thì sẽ hiện thị bấy nhiêu màu bên chuột phải)

nếu em nhấn thêm 1 lần phím cách ( hoặc enter) có nghĩa là chọn theo bylayer

kính mong các bác lúc rảnh rỗi giúp đỡ em với nhé !!! em thích lisp lắm . nhưng không biết cách viết ra nó. em cũng mới tiếp cận nên chưa thông thạo nhiều, có gì các bác lượng thứ ạ


  • 0

#2 dckonhi1987

dckonhi1987

    biết zoom

  • Members
  • Pip
  • 16 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 19 April 2015 - 09:20 PM

Về vấn đề 2 nếu bạn đã nhớ mã mầu đơn giản thì có thể chịu khó liệt kê như kiểu này cho từng màu. Chứ theo yêu cầu của b tôi nghĩ cũng được nhưng cái dạng ngu lâu còn k được đào tạo chỉ biết copy, edit lisp như mình thì hơi tốn thời gian.

(command "-layer" "n" "1" "c" "1" "1" "")
(defun c:1 () (ssget) (command "change" "p" "" "p" "la" "1" "p" "c" "bylayer" ""))
(defun c:11 () (ssget) (command "change" "p" "" "p" "la" "1" "p" "c" "red" ""))
(defun c:12 () (ssget) (command "change" "p" "" "p" "la" "1" "p" "c" "yellow" ""))
(defun c:13 () (ssget) (command "change" "p" "" "p" "la" "1" "p" "c" "green" ""))
(defun c:14 () (ssget) (command "change" "p" "" "p" "la" "1" "p" "c" "cyan" ""))
(defun c:15 () (ssget) (command "change" "p" "" "p" "la" "1" "p" "c" "blue" ""))
(defun c:16 () (ssget) (command "change" "p" "" "p" "la" "1" "p" "c" "magenta" ""))
(defun c:17 () (ssget) (command "change" "p" "" "p" "la" "1" "p" "c" "white" ""))
(defun c:18 () (ssget) (command "change" "p" "" "p" "la" "1" "p" "c" "8" ""))
(defun c:19 () (ssget) (command "change" "p" "" "p" "la" "1" "p" "c" "9" ""))

  • 0

#3 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 19 April 2015 - 09:52 PM

em cũng thành thât là em ko biết viết li sp nên các bác giúp đỡ em viết vợi ạ
 

1 . tương tự lệnh layiso . . em cần 1 lisp blockiso ( lấy riêng ra các block và copy của block đó)

vấn đề thứ 2 là 

trong bản vẽ của em có 1 layer A ( layer A có 5 loại màu đang có trên màn hình là màu 1 , màu 2, màu 3, 4 và 5)

 em đã sử dụng lệnh gọi nhanh layer tuy nhiên em muốn khi em gọi layer thì góc phải con chuột hiện thị 6 mục để chọn vẽ

- bylayer
- màu số 1
- màu số 2
- màu số 3
- màu số 4 
- màu số 5

( layer A có bao nhiêu màu đang có trên bản vẽ thì sẽ hiện thị bấy nhiêu màu bên chuột phải)

nếu em nhấn thêm 1 lần phím cách ( hoặc enter) có nghĩa là chọn theo bylayer

kính mong các bác lúc rảnh rỗi giúp đỡ em với nhé !!! em thích lisp lắm . nhưng không biết cách viết ra nó. em cũng mới tiếp cận nên chưa thông thạo nhiều, có gì các bác lượng thứ ạ

Hề hề hề,

Sao không cho hiện cả cái bảng màu của cad để bạn tùy chọn màu có phải là tiện lợi và đơn giản hơn không???

 Bởi vì chỉ nguyên cái việc lọc để lấy hết các màu có trong một layer  cũng đã mệt mỏi rồi bạn ạ.


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#4 archuyhoang

archuyhoang

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 20 April 2015 - 02:16 PM

 

    .nếu thực sự việc lọc lấy màu trong layer khó khăn vâỵ thì em làm khó cho các bác quá. nhờ các bác mà các bác vất vả quá thì em cũng ngại . thôi em từ bỏ ý đồ của em vậy. cảm ơn bác đã tư vấn cho em ạ. ( vì em cũng hơi tham lam đã đặt nhiều phím tắt rồi. chục cái layer mỗi layer em lại có 2 3 màu nên thực sự nhớ màu hay số màu trong bảng màu khiến thời gian em nhớ để làm chính xác có khi ko nhanh bằng lệnh ma .  huống chi em chuyển layer vẽ liên tục . ) nên thôi có khi em từ bỏ ý tưởng này vẽ rồi quét màu cũng được ạ


  • 0

#5 archuyhoang

archuyhoang

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 20 April 2015 - 02:23 PM

 

Về vấn đề 2 nếu bạn đã nhớ mã mầu đơn giản thì có thể chịu khó liệt kê như kiểu này cho từng màu. Chứ theo yêu cầu của b tôi nghĩ cũng được nhưng cái dạng ngu lâu còn k được đào tạo chỉ biết copy, edit lisp như mình thì hơi tốn thời gian.

(command "-layer" "n" "1" "c" "1" "1" "")
(defun c:1 () (ssget) (command "change" "p" "" "p" "la" "1" "p" "c" "bylayer" ""))
(defun c:11 () (ssget) (command "change" "p" "" "p" "la" "1" "p" "c" "red" ""))
(defun c:12 () (ssget) (command "change" "p" "" "p" "la" "1" "p" "c" "yellow" ""))
(defun c:13 () (ssget) (command "change" "p" "" "p" "la" "1" "p" "c" "green" ""))
(defun c:14 () (ssget) (command "change" "p" "" "p" "la" "1" "p" "c" "cyan" ""))
(defun c:15 () (ssget) (command "change" "p" "" "p" "la" "1" "p" "c" "blue" ""))
(defun c:16 () (ssget) (command "change" "p" "" "p" "la" "1" "p" "c" "magenta" ""))
(defun c:17 () (ssget) (command "change" "p" "" "p" "la" "1" "p" "c" "white" ""))
(defun c:18 () (ssget) (command "change" "p" "" "p" "la" "1" "p" "c" "8" ""))
(defun c:19 () (ssget) (command "change" "p" "" "p" "la" "1" "p" "c" "9" ""))

 bác không được đào tạo còn biết copy và edit . em cũng biết edit lisp nhưng chỉ dạng cùi lúa bác ạ.
chân thành cảm ơn bác đã bỏ thời gian giúp đỡ
nhưng bác cho em hỏi. 
với lisp này . có phải là mình đặt thêm khá nhiều lệnh tắt nữa phải không bác nhỉ . còn phương án nào giảm thiểu số lượng lệnh mới mà vẫn đảm bảo tính chất không bác nhỉ.


  • 0

#6 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 20 April 2015 - 03:46 PM

 bác không được đào tạo còn biết copy và edit . em cũng biết edit lisp nhưng chỉ dạng cùi lúa bác ạ.
chân thành cảm ơn bác đã bỏ thời gian giúp đỡ
nhưng bác cho em hỏi. 
với lisp này . có phải là mình đặt thêm khá nhiều lệnh tắt nữa phải không bác nhỉ . còn phương án nào giảm thiểu số lượng lệnh mới mà vẫn đảm bảo tính chất không bác nhỉ.

Hề hề hề,

Với phương án này bạn cũng phải nhớ các màu có trong layer mới có thể dùng được. Bởi nếu không nhớ màu thì thay vì muốn màu đỏ lại gõ lệnh 12 thì hỏng bét.

Còn nếu đã nhớ màu thì việc sử dụng bảng màu của CAd sẽ thuận lợi hơn nhiều

Việc lọc lấy các danh sách màu sử dụng trong mỗi layer tuy không quá khó nhưng cũng không dễ xơi. Bạn có thể thực hiện bằng cách chọn toàn bộ các đối tượng có trong layer, sau đó duyệt qua các đối tượng này để lấy mã màu của chúng và nhét nó vào trong một danh sách. Khi đó, nếu bạn rành về dialog thì có thể viết một dialog với box  chọn hay danh sách sổ xuống để chọn màu cho nó ..... oai. Cũng tốt ra phết. 

Do mình đang khá bận nên chưa rảnh để làm thử, chỉ gợi ý bạn như vậy và lúc nào rỗi mình sẽ thử chơi xem sao.. Vả lại với cái dialog thì mình cũng không rành rẽ chi nhiều, phải lọ mọ xem lại tài liệu nên cũng khá tốn thời gian. Mong bạn thông cảm nhé.

hề hề hề,.....


  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#7 archuyhoang

archuyhoang

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 20 April 2015 - 10:29 PM

 

     bác đã tư vấn vậy thì em cũng đã nắm phần nào về khó khăn của vấn đề . em sẽ nghiên cứu tìm hiểu thêm xem sao. còn dịp nào bác có thể sắp xếp làm được lisp. bác share em ăn mừng cái nhé. 
nếu mất thời gian quá thì thôi bác ạ. vì em đã nhờ các bác, mà các bác vất vả quá thì em cũng ngại lắm. vấn đề nó dễ thì ko sao . chứ phức tạp em cũng không muốn các bác vất vả. em cảm ơn bác quan tâm bài viết em nhé. 
hì tiện thể có lisp nào hay trên diễn đàn bác cho em xin với nhé. vì diễn đàn mình quá nhiều bài viết . em cũng không thể xem được hết . cũng không biết chọn lọc thế nào cho tốt. 
chân thành cảm ơn bác nhé


  • 0

#8 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 21 April 2015 - 11:53 AM

     bác đã tư vấn vậy thì em cũng đã nắm phần nào về khó khăn của vấn đề . em sẽ nghiên cứu tìm hiểu thêm xem sao. còn dịp nào bác có thể sắp xếp làm được lisp. bác share em ăn mừng cái nhé. 
nếu mất thời gian quá thì thôi bác ạ. vì em đã nhờ các bác, mà các bác vất vả quá thì em cũng ngại lắm. vấn đề nó dễ thì ko sao . chứ phức tạp em cũng không muốn các bác vất vả. em cảm ơn bác quan tâm bài viết em nhé. 
hì tiện thể có lisp nào hay trên diễn đàn bác cho em xin với nhé. vì diễn đàn mình quá nhiều bài viết . em cũng không thể xem được hết . cũng không biết chọn lọc thế nào cho tốt. 
chân thành cảm ơn bác nhé

Hề hề hề,

Rất mừng là bạn không giận. 

Việc sưu tầm lisp thì của ai người đó phải tự mần thôi. Bởi lisp là loại công cụ mà nó chỉ giải quyết từng vấn đề cụ thể của công việc với những yêu cầu riêng biệt của công việc đó. Khó mà có cái lisp nào vạn năng có thể sử dụng với mọi yêu cầu của mọi người. Do đó người dùng cần có khái niệm cũng như hiểu biết nhất định về lisp để có thể lựa chọn lisp thích ứng với nhu cầu làm việc của mình. Đó là chưa kể việc lisp có thể làm việc tốt trong môi trường CAD này mà lại xảy ra Oái oăm với môi trường CAD khác bạn ạ. Trên diễn đàn bạn cũng đã thấy nhiều thắc mắc về các vấn đề như vậy.

Vì thế mỗi người đều nên học ít nhiều về lisp để có được những hiểu biết căn bản về lisp, từ đó có thể lựa chọn và sưu tập các lisp phù hợp với yêu cầu sử dụng của mình, cũng như lựa chọn các lisp gần giống với yêu cầu của mình để sửa lại cho phù hợp. Quá trình này sẽ được tích lũy dần theo năm thánh chứ không phải là có thể có ngay được đâu.  Điều này cũng rất cần người dùng tham gia vào các diễn đàn chuyên môn để vừa học hỏi và vừa chia sẻ kinh nghiệm của bản thân với người khác, Như vậy bộ sưu tập của người dùng sẽ mau chóng dày lên và kinh nghiệm của người dùng cũng tích lũy rất nhanh bạn ạ.

Quyết tâm và sự kiên trì sẽ luôn đưa bạn tới thành công mà.


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#9 archuyhoang

archuyhoang

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 21 April 2015 - 10:13 PM

 

.oke bác
em đồng ý là phải năm tháng. chứ cái gì cũng có người đưa ngay cho ko phải mất công sức thì dễ dàng càng thêm ỷ lại


  • 0

#10 archuyhoang

archuyhoang

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 25 April 2015 - 11:29 PM

còn vấn đề blockiso cac bac giup em voi ạ


  • 0